﻿Type=Class
Version=3.71
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private udpsock As UDPSocket
	Private bc As ByteConverter
	Private const port As Int = 54025
	Dim count As Int = 0
	
	
End Sub

Public Sub Initialize
	udpsock.Initialize("udpsock", port, 8192)
	ShowIp
End Sub

Public Sub ShowIp
	Main.ShowNotification("UDP connector",$"Waiting for UDP data.
Make sure that the following port is open in the firewall (UDP): ${udpsock.Port}"$, False)
End Sub

Sub udpsock_PacketArrived (Packet As UDPPacket)
	Try

		Dim data() As Byte = Packet.Data
		If Packet.Data.Length > Packet.Length Then
			Dim data(Packet.Length) As Byte
			bc.ArrayCopy(Packet.Data, 0, data, 0, Packet.Length)
		End If
		Main.Handler.HandleCommand(data)
	Catch
		Log(LastException)
	End Try
	
End Sub


